<?php
// $Id: admin.admisc.php,v 1.3 2004/03/28 21:40:38 rcastley Exp $
/**
* Admin miscellaneous functions component code
* @package Mambo Open Source
* @Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.3 $
**/

// ensure this file is being included by a parent file
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
require_once( $mainframe->getPath( 'admin_html' ) );

switch ($task) {
	
	case "redirect":
		$goto = trim( strtolower( mosGetParam( $_REQUEST, 'link' ) ) );
		if ($goto == "null"){
			mosRedirect("index2.php?option=com_admisc&task=listcomponents","There is no link associated with this item");
			exit();
		}
		$goto = str_replace( "'", '', $goto );
		mosRedirect($goto);
		break;
		
	case "listcomponents":
		HTML_admin_misc::ListComponents();
		break;
		
	case 'credits':
		HTML_admin_misc::credits( $version );
		break;

	case 'support':
		HTML_admin_misc::support();
		break;

	case 'license':
		HTML_admin_misc::license();
		break;

	default:
		HTML_admin_misc::system_info( $version, $option );
		break;
}
?>
